/*
 * WItalk2 - italk client for Win32
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// Dialog.h


#pragma	once


#include "iWItalk2.h"

#define DLG_PROC_PARAM HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam

BOOL CALLBACK DialogAboutDlgProc        (DLG_PROC_PARAM);
BOOL CALLBACK DialogColorDlgProc        (DLG_PROC_PARAM);
BOOL CALLBACK DialogItalkServerDlgProc  (DLG_PROC_PARAM);
BOOL CALLBACK DialogKillNameDlgProc     (DLG_PROC_PARAM);
BOOL CALLBACK DialogUsersOptionsDlgProc (DLG_PROC_PARAM);
BOOL CALLBACK DialogSoundsDlgProc       (DLG_PROC_PARAM);
BOOL CALLBACK DialogOtherDlgProc        (DLG_PROC_PARAM);
BOOL CALLBACK DialogUsersDlgProc        (DLG_PROC_PARAM);
BOOL CALLBACK DialogSelectSoundDlgProc  (DLG_PROC_PARAM);
BOOL CALLBACK DialogTelegramDlgProc     (DLG_PROC_PARAM);		// Waffle 0.2.0: dETu[ݒ
BOOL CALLBACK DialogWindows2000DlgProc	(DLG_PROC_PARAM);		// Waffle 0.2.1: ʌʌnݒ
BOOL CALLBACK DialogURLDlgProc			(DLG_PROC_PARAM);		// Waffle 0.2.3: URL֘Aݒ
BOOL CALLBACK DialogParanoia1DlgProc	(DLG_PROC_PARAM);		// Waffle 0.2.3: Paranoia/1 ݒ

#undef DLG_PROC_PARAM

class ProfileManager;
struct DialogUsersInit
{
  ItalkInfo *italk_info;
  HWND hwnd_owner;
  ProfileManager* pProfileManager;
};
