/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// WinDLL.h


#pragma		once

#include	<windows.h>
#include	<shlobj.h>

#include	<string>
using namespace std;

#include	"TrapFocus.h"


typedef		int WINAPI ptrSetLayeredWindowAttributes(HWND hwnd, COLORREF crKey, BYTE bAlpha, DWORD dwFlags);
typedef		HRESULT WINAPI ptrSHGetFolderPath(HWND hwndOwner, int nFolder, HANDLE hToken, DWORD dwFlags, LPTSTR pszPath);


class WinDLL {

	HMODULE		user32_dll, shfolder_dll;

public:

	ptrSetLayeredWindowAttributes*	_SetLayeredWindowAttributes;
	ptrSHGetFolderPath*				_SHGetFolderPath;

	string		logSaveFolder;

	WinDLL();
	~WinDLL();

};

extern	WinDLL	windll;
