/*
 * LIBGANA - library for GANA
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// lgcSplitbar


#pragma	once

#include "lgWindows.h"


// lgcSplitbar ̃EBhENX
#define WC_lgcSplitbar "lgcSplitbar"

// lgcSplitbar ɎqEBhE֘At
#define lgcSplitbar_SETCHILD (WM_APP + 100)
inline void lgcSplitbar_SetChild(HWND hwnd, int n, HWND child_hwnd)
{
  SendMessage(hwnd, lgcSplitbar_SETCHILD, n, (LPARAM)child_hwnd);
}

// lgcSplitbar Ɋ֘AtꂽqEBhE擾
#define lgcSplitbar_GETCHILD (WM_APP + 101)
inline HWND lgcSplitbar_GetChild(HWND hwnd, int n)
{
  return (HWND)SendMessage(hwnd, lgcSplitbar_GETCHILD, n, 0);
}

// o[̈ʒuωɁA֘AtꂽqEBhEĕ`悷邩ǂ
#define lgcSplitbar_SETREDRAW (WM_APP + 102)
inline void lgcSplitbar_SetRedraw(HWND hwnd, int n, BOOL is_redraw)
{
  SendMessage(hwnd, lgcSplitbar_SETREDRAW, n, (LPARAM)is_redraw);
}

// o[̈ʒuݒ肷
#define lgcSplitbar_SETBARPLACE (WM_APP + 103)
inline void lgcSplitbar_SetBarPlace(HWND hwnd, int place)
{
  SendMessage(hwnd, lgcSplitbar_SETBARPLACE, 0, (LPARAM)place);
}

// o[̈ʒu擾
#define lgcSplitbar_GETBARPLACE (WM_APP + 104)
inline int lgcSplitbar_GetBarPlace(HWND hwnd)
{
  return (int)SendMessage(hwnd, lgcSplitbar_GETBARPLACE, 0, 0);
}

// lgcSplitbar  Tooltip ֘At
#define lgcSplitbar_SETTOOLTIPS (WM_APP + 105)
inline void lgcSplitbar_SetTooltips(HWND hwnd, HWND hwnd_tooltips)
{
  SendMessage(hwnd, lgcSplitbar_SETTOOLTIPS, 0, (LPARAM)hwnd_tooltips);
}

// CAEgݒ
#define lgcSplitbar_SETLAYOUT (WM_APP + 106)
inline void lgcSplitbar_SetLayout(HWND hwnd, int layout)
{
  SendMessage(hwnd, lgcSplitbar_SETLAYOUT, 0, (LPARAM)layout);
}

// CAEg擾
#define lgcSplitbar_GETLAYOUT (WM_APP + 107)
inline int lgcSplitbar_GetLayout(HWND hwnd, HWND hwnd_child0, HWND hwnd_child1)
{
  return (int)SendMessage(hwnd, lgcSplitbar_GETLAYOUT,
			  (WPARAM)hwnd_child0, (LPARAM)hwnd_child1);
}


// lgcSplitbar EBhENXo^
ATOM Register_lgcSplitbar(void);
